PHRASEN|DRESCHER(1)

NAME
pd is a modular and multi processing pass phrase cracking framework.

SYNOPSIS
pd plugin [options]

DESCRIPTION
phrasen|drescher is a modular and multi processing pass phrase cracking framework. It comes with a number of plugins and new plugins can be added with ease.

PLUGINS
Set the enviornment variable PD_PLUGINS to the directory containing your plugins (default is your installation library directory). Then, run pd
 without any arguments to see the list of available plugins.

GENERAL OPTIONS

-h  print help message

-v  verbose mode

-i from[:to]
    incremental mode beginning with word length `from' and going to `to'

-d file
    run dictionary based with words from `file'

-w number
    number of worker threads (default is one)

-r rule
    use rules to rewrite dictionary words

Rewriting rules:

A   Rewrite word with only upper case characters

F   Rewrite word with first character as upper case

L   Rewrite word with last character as upper case

a   Rewrite word with only lower case characters

f   Rewrite word with first character as lower case

l   Rewrite word with last character as lower case

w   first letter of each word to lower case

D   Prepend each digit (0-9) to the word

d   Append each digit (0-9) to the word

e   enleet the word

x   apply all rules to a word

ENVIRONMENT VARIABLES

PD_PLUGINS
    the directory containing plugins

PD_CHARMAP
    the characters for the incremental mode are taken from a character list. A customized list can be specified in the environment variable.

AUTHOR

Nico Leidecker <nico@leidecker.info>
    http://www.leidecker.info